#!/bin/bash
BaseDir=$(dirname $0)
cd $BaseDir
python38=/opt/rh/rh-python38/root/usr/bin/python3.8

${python38} -m venv .venv
source .venv/bin/activate

#python3 -m pip install -r requirements.txt -i https://pypi.tuna.tsinghua.edu.cn/simple/
${python38} -m pip install --upgrade pip --no-index --find-links={{ app_deploy_dir }}/repo
${python38} -m pip install -r {{ app_deploy_dir }}/importers/requirements.txt --no-index --find-links={{ app_deploy_dir }}/repo


